import { type Ref } from 'vue';
import { CommonProps } from '@/common/types/props';
export interface Props extends CommonProps {
    id?: string;
    fileTypes?: string;
    title?: string;
    initialFiles?: string[] | null;
    multiple?: boolean;
}
declare const _default: import("vue").DefineComponent<__VLS_WithDefaults<__VLS_TypePropsToRuntimeProps<Props>, {
    id: string;
    fileTypes: string;
    title: string;
    initialFiles: null;
    multiple: boolean;
}>, {
    files: Ref<import("./hooks/use-file-list").UploadableFile[]>;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    event: (value: Record<string, unknown>) => void;
    mount: () => void;
    unmount: () => void;
    focusout: () => void;
    focusin: () => void;
    change: (value: string) => void;
    fileAdd: () => void;
    fileRemove: () => void;
}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<__VLS_WithDefaults<__VLS_TypePropsToRuntimeProps<Props>, {
    id: string;
    fileTypes: string;
    title: string;
    initialFiles: null;
    multiple: boolean;
}>>> & {
    onFocusin?: (() => any) | undefined;
    onFocusout?: (() => any) | undefined;
    onChange?: ((value: string) => any) | undefined;
    onMount?: (() => any) | undefined;
    onUnmount?: (() => any) | undefined;
    onEvent?: ((value: Record<string, unknown>) => any) | undefined;
    onFileAdd?: (() => any) | undefined;
    onFileRemove?: (() => any) | undefined;
}, {
    title: string;
    id: string;
    fileTypes: string;
    initialFiles: string[] | null;
    multiple: boolean;
}, {}>;
export default _default;
type __VLS_NonUndefinedable<T> = T extends undefined ? never : T;
type __VLS_TypePropsToRuntimeProps<T> = {
    [K in keyof T]-?: {} extends Pick<T, K> ? {
        type: import('vue').PropType<__VLS_NonUndefinedable<T[K]>>;
    } : {
        type: import('vue').PropType<T[K]>;
        required: true;
    };
};
type __VLS_WithDefaults<P, D> = {
    [K in keyof Pick<P, keyof P>]: K extends keyof D ? __VLS_Prettify<P[K] & {
        default: D[K];
    }> : P[K];
};
type __VLS_Prettify<T> = {
    [K in keyof T]: T[K];
} & {};
