import type { FilterConfig, SimilarPostList, PostList, PostAuthor, PostTag } from '../services/types';
export declare const mainApi: {
    getPostList: (ownerId: number, filterConfig: FilterConfig) => Promise<PostList>;
    getSimilarPostList: (ownerId: number, id: number) => Promise<SimilarPostList>;
    getFormulaPredictions: (query: string) => Promise<string[]>;
    getAuthorList: (ownerId: number, query: string) => Promise<PostAuthor[]>;
    getTagList: (ownerId: number, query: string) => Promise<PostTag[]>;
};
